﻿#ifndef zego_api_edu_playback_h
#define zego_api_edu_playback_h

#include "zego-api-edu-playback-defines.h"
#define  ZEGOCALL

#ifdef __cplusplus
extern "C" {
#endif
	ZEGOEDU_API bool zego_whiteboard_playback_preLoad(const char* path, const unsigned long long begin_time, const unsigned long long end_time) ;
	ZEGOEDU_API void zego_whiteboard_playback_unLoad();
	ZEGOEDU_API void zego_whiteboard_playback_start();
	ZEGOEDU_API void zego_whiteboard_playback_stop() ;
	ZEGOEDU_API void zego_whiteboard_playback_pause() ;
	ZEGOEDU_API void zego_whiteboard_playback_resume() ;
	ZEGOEDU_API void zego_whiteboard_playback_seekTo(const unsigned long long ms) ;
	ZEGOEDU_API void zego_whiteboard_playback_execute(const unsigned long long begin_time, const unsigned long long end_time) ;
	ZEGOEDU_API bool zego_whiteboard_playback_is_playing();
	ZEGOEDU_API ZegoEduPlaybackWhiteboardStreamInfo* zego_whiteboard_playback_get_current_whiteboard();
	ZEGOEDU_API void zego_whiteboard_playback_insert_switch_whitboard_Cmd(const unsigned long long time, const unsigned long long id);

	ZEGOEDU_API void zego_whiteboard_playback_reg_whiteboard_start_callback(zego_whiteboard_playback_whiteboard_start_callback_func cb, void* user_context);
	ZEGOEDU_API void zego_whiteboard_playback_reg_whiteboard_stop_callback(zego_whiteboard_playback_whiteboard_stop_callback_func cb, void* user_context);
	ZEGOEDU_API void zego_whiteboard_playback_reg_whiteboard_switch_callback(zego_whiteboard_playback_whiteboard_switch_callback_func cb, void* user_context);

#ifdef __cplusplus
} // __cplusplus defined.
#endif

#endif

