﻿#ifndef zego_api_edu_playback_define_h
#define zego_api_edu_playback_define_h
#include "zego-api-edu-defines.h"


/*
详情描述：回放中流的信息
业务场景：用户可根据 ZegoPlaybackStreamInfo 去创建或更新对应 UI 控件
*/
struct ZegoEduPlaybackWhiteboardStreamInfo
{
	unsigned long long whiteboard_id;					//白板id
	long begin_time;									//流的开始时间
	long end_time;										//流的结束时间
	char title[512];									//标题
	int width;											//宽度 白板比例用实际值表示
	int height;											//高度 白板比例用实际值表示
	int x;												//位置x
	int y;												//位置y
	int zorder;											//层级
};

typedef void(*zego_whiteboard_playback_whiteboard_start_callback_func)(ZegoEduPlaybackWhiteboardStreamInfo* info, void* user_context);

typedef void(*zego_whiteboard_playback_whiteboard_stop_callback_func)(ZegoEduPlaybackWhiteboardStreamInfo* info, void* user_context);

typedef void(*zego_whiteboard_playback_whiteboard_switch_callback_func)(const unsigned long long whiteboard_id, void* user_context);
#endif
